View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000501OpenFOAM[All Projects] Bugpublic2012-04-10 21:372012-07-02 09:32
Reporterwyldckat 
Assigned Toandy 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformLinuxOSOpenSuseOS Version11.4
Product VersionOther 
Target VersionFixed in Version 
Summary0000501: /download/suse.php for openSUSE 11.4 - Open-MPI 1.3.2 is missing from the science repo
DescriptionThe instructions from http://www.openfoam.org/download/suse.php [^] are no longer fully functional, simply because Open-MPI 1.3.2 has disappeared from science repo for openSUSE 11.4.

This came to my attention from this forum post: http://www.cfd-online.com/Forums/openfoam-installation/99727-installation-problem-openfoam-2-1-0-opensuse-11-4-a.html [^]
Additional InformationAfter looking into http://software.opensuse.org/package/openmpi [^] and searching through the unsupported repos, the closest "reliable" source I could find was from the devel section of openSUSE. The proposed changes are to the following instructions:

  sudo zypper ar http://download.opensuse.org/repositories/devel:/libraries:/c_c++/openSUSE_11.4/ [^] devel:libraries:c_c++
  sudo zypper in openmpi=1.4.5

Then don't forget to change the other 1.3.2 occurrences on that page.

Note: I have not fully tested if things work with this 1.4.5 package.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001228)
albertop (reporter)
2012-04-11 00:53

Actually there is no need to use a package from non-standard repositories. OpenSUSE 11.4 ships with openmpi 1.2.8, and OpenFOAM builds against it without problems.
(0001232)
wyldckat (reporter)
2012-04-11 21:41

It might build with 1.2.8, but the OpenFOAM Team has been "advertising" Open-MPI 1.3.2 since the SuSE-RPM pack of OpenFOAM 1.7.1 was released: http://www.openfoam.org/archive/1.7.1/download/suse.php [^]

Perhaps a bug was found back then. But all I know is that the last google cache reference I can find about 1.3.2 being on the science repos dates back to 26th of February of this year, so it doesn't look like it was removed very long ago...
(0001234)
mattijs (manager)
2012-04-12 07:57

If I remember correctly I picked 1.3.2 since that was run-time compatible with 1.4 series so I could just run across machines those two versions. This isn't the case for 1.2.8 and I never investigated why exactly.

Does the binary run with that 14.5?
(0001235)
wyldckat (reporter)
2012-04-12 08:01

Tomorrow I'll be able to do some more tests, but for now all I know is that it seems to work in serial mode.
(0001245)
wyldckat (reporter)
2012-04-13 22:03
edited on: 2012-04-13 22:20

Tested 2 tutorials, which both worked successfully with 4 cores on a VM with openSUSE x86_64 11.4:
* incompressible/simpleFoam/turbineSiting
* combustion/fireFoam/les/smallPoolFire3D

edit: Interesting... I tried on openSUSE 12.1 x86_64 (also on a VM with 4 cores) with the exact same Open-MPI 1.4.5 from 11.4 devel and OpenFOAM 2.1.0 RPMS for 11.4 as well and those two tutorials also worked!!

(0001431)
wyldckat (reporter)
2012-06-30 15:10

Hi,

I guess this report can be closed, since with OpenFOAM 2.1.1 and the given RPM instructions are only for openSUSE 12.1 and not 11.4.

Best regards,
Bruno
(0001437)
andy (manager)
2012-07-02 09:32

redundant bug after update to version 2.1.1

- Issue History
Date Modified Username Field Change
2012-04-10 21:37 wyldckat New Issue
2012-04-11 00:53 albertop Note Added: 0001228
2012-04-11 21:41 wyldckat Note Added: 0001232
2012-04-12 07:57 mattijs Note Added: 0001234
2012-04-12 08:01 wyldckat Note Added: 0001235
2012-04-13 22:03 wyldckat Note Added: 0001245
2012-04-13 22:20 wyldckat Note Edited: 0001245 View Revisions
2012-06-30 15:10 wyldckat Note Added: 0001431
2012-07-02 09:32 andy Note Added: 0001437
2012-07-02 09:32 andy Status new => resolved
2012-07-02 09:32 andy Resolution open => no change required
2012-07-02 09:32 andy Assigned To => andy